enum TyreType {
  winter,
  summer,
  universal,
}

extension TyreTypeExtension on TyreType {
  String get string {
    switch (this) {
      case TyreType.winter:
        return 'zimní ❄️';
      case TyreType.summer:
        return 'letní ☀️';
      case TyreType.universal:
        return 'univerzální';
      default:
        throw Exception('Invalid tyre type');
    }
  }
}
